# studio::Transform_Scale Class Reference

`#include <ducktransform_scale.h>`

List of all members.

## Public Member Functions

| Transform_Scale (const synfig::GUID &guid, const synfig::Vector &scale, const synfig::Vector &origin=synfig::Vector(0, 0))
synfig::Vector | perform (const synfig::Vector &x) const
synfig::Vector | unperform (const synfig::Vector &x) const

## Constructor & Destructor Documentation

studio::Transform_Scale::Transform_Scale | ( | const synfig::GUID & | guid,
|  | const synfig::Vector & | scale,
|  | const synfig::Vector & | origin = `synfig::Vector(0,0)` |
| ) |  |  | `[inline]`

## Member Function Documentation

synfig::Vector studio::Transform_Scale::perform | ( | const synfig::Vector & | x | ) | const`[inline]`

synfig::Vector studio::Transform_Scale::unperform | ( | const synfig::Vector & | x | ) | const`[inline]`

The documentation for this class was generated from the following file:

- ducktransform_scale.h